<?php
if($admin==true){
    echo "<div class='container-table'>";
    if (isset($return)){
        if ($return == 'user-modified'){
            echo '<p style="color:green;">L\'utilisateur a bien été modifié</p>';
        }
        if ($return == 'user-deleted'){
            echo '<p style="color:green;">L\'utilisateur a bien été supprimé </p>';
        }
    }
    echo "<div class='wrap-table'>";
    echo "<div class='table'>";
    echo "<h1>Liste des utilisateurs</h1>";
    echo "<table>";
    echo "<thead>";
    echo "<tr>";
    echo "<th>Photo</th>";
    echo "<th>Prénom</th>";
    echo "<th>Nom</th>";
    echo "<th>Email</th>";
    echo "<th>Modifier</th>";
    echo "<th>Supprimer</th>";
    echo "</tr>";
    echo "</thead>";
    foreach ($liste_utilisateurs as $utilisateur){
        echo "<tr>";
        if (file_exists('img/img'.$utilisateur['id_utilisateur'].'.png')){
            echo "<td><img class='pp-post' src='img/img".$utilisateur['id_utilisateur'].".png' alt=''></td>";
        }
        elseif( file_exists('img/img'.$utilisateur['id_utilisateur'].'.jpg')){
            echo "<td><img class='pp-post' src='img/img".$utilisateur['id_utilisateur'].".jpg' alt=''></td>";
        }
        else{
            echo "<td><img class='pp-post' src='img/img0.png' alt=''></td>";
        }
        echo "<td>".$utilisateur['prenom']."</td>";
        echo "<td>".$utilisateur['nom']."</td>";
        echo "<td>".$utilisateur['email']."</td>";
        if ($utilisateur['id_utilisateur']==1){
            echo "<td></td>";
            echo "<td></td>";
        }
        else{
            echo "<td><a href='index.php?action=modif-utilisateur&id=".$utilisateur['id_utilisateur']."'><ion-icon name='create-outline'></ion-icon></a></td>";
            echo "<td><a href='index.php?action=suppr-utilisateur&id=".$utilisateur['id_utilisateur']."' style=color:red;><ion-icon name='trash-outline'></ion-icon></a></td>";
        }
        echo "</tr>";
    }
    echo "</table>";
    echo "</div>";
    echo "</div>";
    echo "</div>";
}
else{
    echo "<h1>Vous n'avez pas les droits pour accéder à cette page</h1>";
    echo "<a href='index.php'>Retour</a>";
}
?>